NutritionOrder _search

post/NutritionOrder/_search
Page View

This resource contains a request to provide a diet, formula feeding, or nutritional supplement to a patient or resident.

Nutrition orders may include one or more of the following, depending on the organization and the patient’s care plan:

  • Oral diets: Diet types, textures, or fluid consistencies for food taken by mouth (e.g., a sodium-restricted or pureed diet).
  • Oral nutritional supplements: Products taken by mouth in addition to a diet (e.g., protein shakes).
  • Enteral formulas: Formula feedings delivered through a tube, including administration rate, schedule, and any additives.

Nutrition orders may also contain a patient’s food allergies, intolerances, or food preferences (e.g., vegetarian or kosher) to help care teams prepare appropriate meals.

You can review or search for nutrition order details.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

_search

Query for a patient's diet orders by patient, encounter, status, date, or diet type.

Flexible FHIR queries, different query parameters

FHIR® queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a searchset bundle type. Learn about bundles and bundle types in our FHIR® glossary.

We add a required label only to query parameters a FHIR® server requires if you query it directly. Remember that Redox data on demand isn’t a FHIR® server, and your connection may not be either.

Query parameters vary between sites. Work with your connection to find out which query parameters they require for a successful search.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/NutritionOrder/_search' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=string' \
6
--data-urlencode 'patient.identifier=string' \
7
--data-urlencode 'encounter=string' \
8
--data-urlencode 'encounter.identifier=string' \
9
--data-urlencode 'identifier=string' \
10
--data-urlencode 'status=string' \
11
--data-urlencode 'datetime=string' \
12
--data-urlencode 'provider=string' \
13
--data-urlencode 'provider.identifier=string' \
14
--data-urlencode 'oraldiet=string' \
15
--data-urlencode 'supplement=string' \
16
--data-urlencode 'formula=string' \
17
--data-urlencode 'additive=string' \
18
--data-urlencode 'instantiates-canonical=string'

Request Body Schema

  • patient
    Array of string

    The patient who the nutrition order is for

  • patient.identifier
    Array of string

    One or more external identifiers for the patient

  • encounter
    Array of string

    The encounter during which the nutrition order was placed

  • encounter.identifier
    Array of string

    Identifier(s) by which this encounter is known

  • identifier
    Array of string

    An identifier for the nutrition order

  • status
    Array of string

    The status of the nutrition order

  • datetime
    Array of string

    The date and time the nutrition order was requested

  • provider
    Array of string

    The provider who placed the nutrition order

  • provider.identifier
    Array of string

    One or more external identifiers for the practitioner

  • oraldiet
    Array of string

    The type of oral diet, such as a low sodium diet

  • supplement
    Array of string

    The type of nutritional supplement

  • formula
    Array of string

    The type of enteral or infant formula

  • additive
    Array of string

    The type of additive to add to the enteral formula

  • instantiates-canonical
    Array of string

    The protocol or definition that the nutrition order instantiates

Response fields and example

Example payload generated from schema
1
{
2
"resourceType": "Bundle",
3
"type": "searchset",
4
"total": 1,
5
"entry": [
6
{
7
"resource": {
8
"resourceType": "NutritionOrder",
9
"id": "RedoxNutritionOrderExampleLowSodium",
10
"status": "active",
11
"intent": "order",
12
"patient": {
13
"reference": "Patient/RedoxPatientExampleTimothy",
14
"display": "Timothy Bixby"
15
},
16
"dateTime": "2026-11-03T14:35:00Z",
17
"oralDiet": {
18
"type": [
19
{
20
"coding": [
21
{
22
"code": "386619000",
23
"system": "http://snomed.info/sct",
24
"display": "Low sodium diet"
25
}
26
],
27
"text": "Low sodium diet"
28
}
29
],
30
"instruction": "2 GRAM SODIUM DIET"
31
},
32
"note": [
33
{
34
"text": "Limit sodium to 2 grams per day."
35
}
36
]
37
},
38
"search": {
39
"mode": "match"
40
}
41
}
42
]
43
}

    Response to a NutritionOrder search operation

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a response to a search

    Value: searchset
  • total
    required, number

    The total number of matches

  • entry
    Array of NutritionOrder or Other

    A resource matching the search criteria or related to a matching resource

    • resource
      required, object

      Search results for a search on the NutritionOrder resource.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: NutritionOrder
      • status
        required, string

        The workflow status of the nutrition order/request.

        Possible Values: draft, active, on-hold, revoked, completed, entered-in-error, unknown
      • intent
        required, string

        Indicates the level of authority/intentionality associated with the nutrition order and where the request fits into the workflow chain.

        Possible Values: proposal, plan, directive, order, original-order, reflex-order, filler-order, instance-order, option
      • patient
        required, object

        The patient who receives the diet.

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • dateTime
        required, string

        The date and time that this nutrition order was requested.

      • id
        string

        The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

      • oralDiet
        object

        Diet given orally in contrast to enteral (tube) feeding.

        • type
          Array of object

          The kind of diet or dietary restriction such as fiber restricted diet or diabetic diet.

          • coding
            Array of object

            A reference to a code defined by a terminology system.

            • system
              string

              The identification of the code system that defines the meaning of the symbol in the code.

            • code
              string

              A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

          • text
            string

            A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

        • texture
          Array of object

          Class that describes any texture modifications required for the patient to safely consume various types of solid foods.

          • modifier
            object

            Any texture modifications (for solid foods) that should be made, e.g. easy to chew, chopped, ground, and pureed.

            • coding
              Array of object

              A reference to a code defined by a terminology system.

              • system
                string

                The identification of the code system that defines the meaning of the symbol in the code.

              • code
                string

                A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

            • text
              string

              A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

        • instruction
          string

          Free text or additional instructions or information pertaining to the oral diet.

      • note
        Array of object

        Comments made about the nutrition order by the requester, performer, subject, or other participants.

        • text
          required, string

          The text of the annotation in markdown format.

    • search
      required, object

      Information about the search process that lead to the creation of this entry.

      • mode
        required, string

        Identifies the NutritionOrder as matching the search parameters

        Value: match

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.